Package org.gradle.language

## Interface ComponentWithBinaries

- All Superinterfaces:
    `Named`, `SoftwareComponent`
  All Known Subinterfaces:
    `CppApplication`, `CppComponent`, `CppLibrary`, `CppTestSuite`, `ProductionCppComponent`, `ProductionSwiftComponent`, `SwiftApplication`, `SwiftComponent`, `SwiftLibrary`, `SwiftXCTestSuite`

      public interface ComponentWithBinaries
      extends SoftwareComponent

  Represents a component that is composed of one or more binaries.
  Since:
    4.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BinaryCollection<? extends SoftwareComponent>` | `getBinaries()` | Returns the binaries of this component.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getBinaries

          BinaryCollection<? extends SoftwareComponent> getBinaries()

      Returns the binaries of this component.